summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2016-10-09 11:35:28 +0200
committerPatrice Clement <monsieurp@gentoo.org>2016-10-09 11:35:58 +0200
commitda1ea52593e1166dd79c9626b3537ee2bd868d5e (patch)
treeb20f3a4b43b81fe72cee2df034be2ba7c3bbd0c6
parentdev-java/rome: bump jdom dependency from 1.0 to 0. (diff)
downloadgentoo-da1ea52593e1166dd79c9626b3537ee2bd868d5e.tar.gz
gentoo-da1ea52593e1166dd79c9626b3537ee2bd868d5e.tar.bz2
gentoo-da1ea52593e1166dd79c9626b3537ee2bd868d5e.zip
dev-java/commons-jxpath: bump jdom dependency from 1.0 to 0 and tidy up ebuild.
Package-Manager: portage-2.3.0
-rw-r--r--dev-java/commons-jxpath/Manifest1
-rw-r--r--dev-java/commons-jxpath/commons-jxpath-1.3-r3.ebuild65
2 files changed, 66 insertions, 0 deletions
diff --git a/dev-java/commons-jxpath/Manifest b/dev-java/commons-jxpath/Manifest
index 4917a3bb461..7da8cd4d743 100644
--- a/dev-java/commons-jxpath/Manifest
+++ b/dev-java/commons-jxpath/Manifest
@@ -1 +1,2 @@
DIST commons-jxpath-1.3-src.tar.gz 285339 SHA256 da314198d75c6da660e2603bd1543a8f5d0b640c5144b748e62e59afc278efe6 SHA512 a0ad0b90c9aa4c732c47c8f38f036990438f526295b782fbdc00fd67e4c0e92643c7850429eb5263f9d322aff7cb7000b8ff2bffcdcfa88fa3ba5354dce7e152 WHIRLPOOL de683fa0e2d985cb57b434af224d2cca73d215d9429b97dc940933fb4a042638227b8fb342d81a1407faf740d1a42c3d5869fc2f78307e558fffb6dd97f36e97
+DIST commons-jxpath-1.3.tar.gz 285339 SHA256 da314198d75c6da660e2603bd1543a8f5d0b640c5144b748e62e59afc278efe6 SHA512 a0ad0b90c9aa4c732c47c8f38f036990438f526295b782fbdc00fd67e4c0e92643c7850429eb5263f9d322aff7cb7000b8ff2bffcdcfa88fa3ba5354dce7e152 WHIRLPOOL de683fa0e2d985cb57b434af224d2cca73d215d9429b97dc940933fb4a042638227b8fb342d81a1407faf740d1a42c3d5869fc2f78307e558fffb6dd97f36e97
diff --git a/dev-java/commons-jxpath/commons-jxpath-1.3-r3.ebuild b/dev-java/commons-jxpath/commons-jxpath-1.3-r3.ebuild
new file mode 100644
index 00000000000..864398cc58d
--- /dev/null
+++ b/dev-java/commons-jxpath/commons-jxpath-1.3-r3.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+JAVA_PKG_IUSE="doc source test"
+
+inherit java-pkg-2 java-ant-2
+
+DESCRIPTION="Applies XPath expressions to graphs of objects of all kinds"
+HOMEPAGE="http://commons.apache.org/jxpath/"
+SRC_URI="mirror://apache/commons/jxpath/source/${P}-src.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86 ~x86-fbsd"
+IUSE=""
+
+S="${WORKDIR}/${P}-src"
+
+CDEPEND="
+ dev-java/jdom:0
+ java-virtuals/servlet-api:3.0
+ dev-java/commons-beanutils:1.7"
+
+RDEPEND="
+ ${CDEPEND}
+ >=virtual/jre-1.6"
+
+DEPEND="
+ ${CDEPEND}
+ test? (
+ dev-java/ant-junit:0
+ dev-java/commons-logging:0
+ dev-java/commons-collections:0
+ )
+ >=virtual/jdk-1.6"
+
+JAVA_ANT_REWRITE_CLASSPATH="yes"
+EANT_GENTOO_CLASSPATH="jdom,servlet-api-3.0,commons-beanutils-1.7"
+
+EANT_TEST_GENTOO_CLASSPATH="${EANT_GENTOO_CLASSPATH},commons-logging,commons-collections,ant-junit"
+ANT_TASKS="ant-junit"
+EANT_TEST_TARGET="test"
+
+# This one needs mockrunner. See #259027.
+JAVA_RM_FILES=(
+ src/test/org/apache/commons/jxpath/servlet/JXPathServletContextTest.java
+)
+
+java_prepare() {
+ # Don't automatically run tests.
+ sed 's/depends="compile,test"/depends="compile"/' -i build.xml || die
+}
+
+src_test() {
+ java-pkg-2_src_test
+}
+
+src_install() {
+ java-pkg_dojar target/${PN}.jar
+ use doc && java-pkg_dojavadoc dist/docs/api
+ use source && java-pkg_dosrc src/java/*
+}